%define pkg_name        Apache-Session-Memorycached
%define pkg_version     2.2.0
%define rpm_pkg_version 2.2.0
%define rpm_pkg_release 1.n0i.2

Summary:       Apache::Session implementation providing mutual exclusion using flock
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/E/EG/EGERMAN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Apache::Session)
BuildRequires: perl(Cache::Memcached) >= 1.0.12


%description
Apache::Session implementation providing mutual exclusion using flock.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
# needs an up and running memcached daemon
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Thu Jun 14 2007 Marius Feraru <altblue@n0i.net> - 2.2.0-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 2.2.0

* Tue May 09 2006 Marius Feraru <altblue@n0i.net> 2.0.0-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
